org.apache.storm.perf

## Class FileReadWordCountTopo

- java.lang.Object
- - org.apache.storm.perf.FileReadWordCountTopo

-     public class FileReadWordCountTopo
      extends Object

  This topo helps measure speed of word count.

  Spout loads a file into memory on initialization, then emits the lines in an endless loop.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COUNT_ID`
    `static String` | `COUNT_NUM`
    `static int` | `DEFAULT_COUNT_BOLT_NUM`
    `static int` | `DEFAULT_SPLIT_BOLT_NUM`
    `static int` | `DEFAULT_SPOUT_NUM`
    `static String` | `INPUT_FILE`
    `static String` | `SPLIT_ID`
    `static String` | `SPLIT_NUM`
    `static String` | `SPOUT_ID`
    `static String` | `SPOUT_NUM`
    `static String` | `TOPOLOGY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileReadWordCountTopo()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPOUT_ID

          public static final String SPOUT_ID

      See Also:
        Constant Field Values

    - #### COUNT_ID

          public static final String COUNT_ID

      See Also:
        Constant Field Values

    - #### SPLIT_ID

          public static final String SPLIT_ID

      See Also:
        Constant Field Values

    - #### TOPOLOGY_NAME

          public static final String TOPOLOGY_NAME

      See Also:
        Constant Field Values

    - #### SPOUT_NUM

          public static final String SPOUT_NUM

      See Also:
        Constant Field Values

    - #### SPLIT_NUM

          public static final String SPLIT_NUM

      See Also:
        Constant Field Values

    - #### COUNT_NUM

          public static final String COUNT_NUM

      See Also:
        Constant Field Values

    - #### INPUT_FILE

          public static final String INPUT_FILE

      See Also:
        Constant Field Values

    - #### DEFAULT_SPOUT_NUM

          public static final int DEFAULT_SPOUT_NUM

      See Also:
        Constant Field Values

    - #### DEFAULT_SPLIT_BOLT_NUM

          public static final int DEFAULT_SPLIT_BOLT_NUM

      See Also:
        Constant Field Values

    - #### DEFAULT_COUNT_BOLT_NUM

          public static final int DEFAULT_COUNT_BOLT_NUM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FileReadWordCountTopo

          public FileReadWordCountTopo()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2019 The Apache Software Foundation. All rights reserved.